<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>WS Chat</title>
</head>
<body>
    <!-- Your code goes here -->
    <div id="page-wrapper">
        <h1>WS Chat</h1>
    
        <div id="status">Connecting...</div>
    
        <ul id="messages"></ul>
    
        <form id="message-form" action="#" method="post">
          <textarea id="message" placeholder="Write your message here..." required></textarea>
          <button type="submit">Send Message</button>
          <button type="button" id="close">Close Connection</button>
        </form>
    </div>
    
    <script src="chat.js"></script>
</body>
</html>